Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.crosswire.bibledesktop.book
Enum DisplaySelectPane.Mode

    java.lang.Object
      java.lang.Enum<DisplaySelectPane.Mode>
          org.crosswire.bibledesktop.book.DisplaySelectPane.Mode

All Implemented Interfaces:
  Serializable, Comparable<DisplaySelectPane.Mode>

Enclosing class:
  DisplaySelectPane

    private static enum DisplaySelectPane.Mode

extends Enum<DisplaySelectPane.Mode>

Defines the state of this DisplaySelectPane

Enum Constant Summary
`CLEAR`
`PASSAGE`
`SEARCH`

Method Summary
`static DisplaySelectPane.Mode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static DisplaySelectPane.Mode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### CLEAR

    public static final DisplaySelectPane.Mode CLEAR

### PASSAGE

    public static final DisplaySelectPane.Mode PASSAGE

### SEARCH

    public static final DisplaySelectPane.Mode SEARCH

Method Detail

### values

    public static DisplaySelectPane.Mode[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (DisplaySelectPane.Mode c : DisplaySelectPane.Mode.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static DisplaySelectPane.Mode valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¨ 2003-2015
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD